{
  "schema_version": "1.4.0",
  "id": "GHSA-m849-v2w8-6c9x",
  "modified": "2022-05-17T03:14:29Z",
  "published": "2022-05-17T03:14:29Z",
  "aliases": [
    "CVE-2015-3279"
  ],
  "details": "Integer overflow in filter/texttopdf.c in texttopdf in cups-filters before 1.0.71 allows remote attackers to cause a denial of service (crash) or possibly execute arbitrary code via a crafted line size in a print job, which triggers a heap-based buffer overflow.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2015-3279"
    },
    {
      "type": "WEB",
      "url": "https://bugzilla.redhat.com/show_bug.cgi?id=1238990"
    },
    {
      "type": "WEB",
      "url": "https://security.gentoo.org/glsa/201510-08"
    },
    {
      "type": "WEB",
      "url": "http://bzr.linuxfoundation.org/loggerhead/openprinting/cups-filters/revision/7365"
    },
    {
      "type": "WEB",
      "url": "http://bzr.linuxfoundation.org/loggerhead/openprinting/cups-filters/revision/7366#NEWS"
    },
    {
      "type": "WEB",
      "url": "http://bzr.linuxfoundation.org/loggerhead/openprinting/cups-filters/revision/7369"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-updates/2015-07/msg00033.html"
    },
    {
      "type": "WEB",
      "url": "http://rhn.redhat.com/errata/RHSA-2015-2360.html"
    },
    {
      "type": "WEB",
      "url": "http://ubuntu.com/usn/usn-2659-1"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2015/dsa-3303"
    },
    {
      "type": "WEB",
      "url": "http://www.openwall.com/lists/oss-security/2015/07/03/2"
    },
    {
      "type": "WEB",
      "url": "http://www.openwall.com/lists/oss-security/2015/07/03/5"
    },
    {
      "type": "WEB",
      "url": "http://www.oracle.com/technetwork/topics/security/linuxbulletinoct2015-2719645.html"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/75557"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2015-07-14T16:59:00Z"
  }
}